subroutine Pumps_MainSolver
    
    use SimulationVariables
    
    Implicit none
    
    
    
    Call DrillingConsole_ScrLEDs  !koja bezaramesh?????
    
    Call Pumps_Inputs
    
    Call Pump1_MainSolver
    
    Call Pump2_MainSolver
    
    Call Pump3_MainSolver
    
    Call Pumps_TotalSolver
    
    
    
    Call Pumps_Outputs
    
              
end subroutine Pumps_MainSolver